@echo off

if "%1"=="-en" goto english
if "%1"=="-ru" goto russian
color 0c
echo ERROR: Language for decrypt by adguard.
pause>nul
exit /b

:english
set "addkey=Paste the new RSA key and press Enter&echo ^(recommended that you enter an RSA key - 32-bit, because&echo RSA key 32-bit = 796 symbol, because limiting 1021 symbol^)"
set "check=ERROR: ESD file does not have original structure ^(4 images minimum^)"
set "check2=ERROR: ESD file is damaged, blocked or not found."
set "choice=Choose a menu option, or press 0 to quit: "
set "choices=Enter 1 or 0 for the continuation of the script:"
set "creat=Creating"
set "createsd1=     Encrypted ESD Backup is"
set "createsd2=Press 9 to toggle in"
set "cryptesd=       ESD was decrypted, please, choose your next step"
set "denter=Enter your selection^>"
set "denter=Enter your option and press ^"Enter^": ^>"
set "done=Done."
set "errsetup=ERROR reading SetupPlatform.dll info."
set "filei=file"
set "finddu=Detected 2 ESDs with same version but different architectures"
set "iarch=     Arch:"
set "ibackup=Backing up encrypted esd file..."
set "ibcd=Preparing BCD settings"
set "ibranch=   Branch:"
set "idecr=Running Decryption program..."
set "idecre=Errors were reported during ESD decryption."
set "ilanguage=  Language:"
set "ind1e=Errors were reported during apply."
set "ind2e=Errors were reported during export."
set "ind3e=Errors were reported during ISO creation."
set "infoesd=                    ESD Contents Info"
set "ios=       OS"
set "iunif=Unifying"
set "iversion=  Version:"
set "iwin8=ERROR: The script supports Windows 10 ESDs only.&echo you may use older version 8 to convert Windows 8.1 ESDs."
set "ix64d=Merging x64 image^(s^)"
set "ix86d=Adjusting x86 image^(s^) info"
set "menudu1=1 - ISO with 2 solid install.esd                 ^(same as MediaCreationTool^)"
set "menudu2=2 - ISO with 2 serviceable install.wim           ^(similar to 1, bigger size^)"
set "menudu3=3 - ISO with 1 shared serviceable install.wim         ^(smaller overall size^)"
set "menudu4=4 - No, Continue for prompt to process one file only"
set "menust1=     1 - Create ISO with Standard install.wim"
set "menust2=     2 - Create ISO with Compressed install.esd"
set "menust3=     3 - Create Standard install.wim&"
set "menust4=     4 - Create Compressed install.esd"
set "menust5=     5 - Decrypt ESD file only"
set "menust51=     5 - ESD file info"
set "menust6=     6 - Add new RSA key for custom ^(new^) Build"
set "menust7=     7 - Update Base RSA key"
set "savesize=The script has determined that it is possible to economy the ISO.&echo.1 - Decrypt the economy mode.&echo.0 - Decrypt without economy mode."
set "presscont=Press any key to continue..."
set "presskey=Press any key to exit."
set "prompt1=Enter / Paste the complete path to the ESD file&echo ^(without quotes marks ^"^" even if the path contains spaces^)"
set "prompt2=Found more than one ESD file in the current directory&echo Enter the name of the desired file to process&echo You may use 'Tab' button to ease the selection"
set "singlee=An install.wim file is already present in the current folder"
set "upderr=Error. File update_keys.cmd no found."
set "updkey=Update Base RSA key"
set "youcreatdu=Do you want to create a multi-architecture ISO for both?"
set "txt10=Enter the number of your choices"
set "txt23=Found in folder"
set "txt24=Could not find any files in the folder"
set "txt241=  Could not find any matching file to process"
set "txt25=  Make your choice, or click '0' to select a different folder from the system"
set "tENCRYPTED=encrypted"
set "tDECRYPTED=decrypted"
set "optimate=Optimization"
set "options= Options^:"
set "options1= 1 - Continue including all editions"
set "options2= 2 - Include one edition"
set "options3= 3 - Include consecutive range of editions"
set "options4= 4 - Include randomly selected editions"
set "mfount=               ESD file contains"
set "medition=editions"
set "mselect1=  Enter edition number to include, or zero '0' to return"
set "mrange=  Enter consecutive range for editions to include: Start-End"
set "mrangee=  examples: 2-4 or 1-3 or 3-9"
set "mrandon=  Enter editions numbers to include separated with spaces"
set "mrandone=  examples: 1 3 4 or 5 1 or 4 2 9"
set "mreturn=  Enter zero '0' to return"
set "emsel1=is higher than available editions"
set "emrange1=Range End is higher than available editions"
set "emrange2=Range Start is higher than Range End"
set "emrange3=Range Start and End are equal"
set "emrange4=Range Start is higher than available editions"
set "emrandon=Only one edition number is entered"
exit /b

:russian
chcp 866>nul
set "addkey=Введите сюда новый RSA ключ и нажмите Enter&echo ^(рекомендуется вводить RSA ключ от - 32-bit, так как&echo RSA ключ 32-bit = 796 символов, лимит здесь равен 1021 символам^)"
set "check=ОШИБКА: Файл ESD не имеют оригинальную структуру ^(минимум 4 индекса^)"
set "check2=ОШИБКА: ESD файл поврежден, заблокированы или не найден."
set "choice=Выберите опцию из меню, или нажмите клавишу 0 для выхода: "
set "choices=Введите 1 или 0 для продолжение работы скрипта:"
set "creat=Создается"
set "createsd1=   Создание резерной копии ESD файла в режиме"
set "createsd2=&echo    Нажмите 9, чтобы переключить режим в"
set "cryptesd=  ESD файл расшифрован, пожалуйста выберите следующий шаг"
set "denter=Введите ваш выбор^>"
set "denter2=Введите ваш выбор и нажиме ^"Enter^"^: "
set "done=Готово."
set "errsetup=ОШИБКА при чтение информации с SetupPlatform.dll"
set "filei=файл"
set "finddu=Обнаружено 2 ESDs с той же версией, но различной архитектурой"
set "iarch=Архитектура:"
set "ibackup=Резервное копирование зашифрованного ESD файла"
set "ibcd=Подготовка параметров BCD"
set "ibranch=      Ветка:"
set "idecr=Запуск программы расшифровки..."
set "idecre=Были ошибки по время расшифровки ESD файла."
set "ilanguage=       Язык:"
set "ind1e=Были ошибки по время создания."
set "ind2e=Были ошибки по время экспортирования."
set "ind3e=Были ошибки по время создания ISO файла."
set "infoesd=              Информация о содержании ESD"
set "ios=         OS"
set "iunif=Объединение"
set "iversion=     Версия:"
set "iwin8=ОШИБКА: Данный скрипт имеет поддержку только Windows 10 ESDs.&echo Вы можете использовать старую версию 8 для конвертирования Windows 8.1 ESDs."
set "ix64d=Слияние 64-bit индекса^(ов^)"
set "ix86d=Настройка информации у 32-bit индекса^(ов^)"
set "menudu1=1 - ISO с двумя сжатыми install.esd     ^(аналогично MediaCreationTool^)"
set "menudu2=2 - ISO с двумя install.wim         ^(по аналогии с 1, большие размеры^)"
set "menudu3=3 - ISO с одним общим install.wim              ^(меньше общего размера^)"
set "menudu4=4 - Нет, обработать только один ESD файл"
set "menust1=     1 - Создать полный ISO со стандартным install.wim"
set "menust2=     2 - Создать полный ISO с сжатым install.esd"
set "menust3=     3 - Создать стандартный install.wim"
set "menust4=     4 - Создать сжатый install.esd"
set "menust5=     5 - Только дескриптовать ESD файл"
set "menust51=     5 - Информация о ESD файле"
set "menust6=     6 - Добавить новый RSA ключ для поддержки ^(новой^) сборки"
set "menust7=     7 - Обновить базу RSA ключей"
set "menustb=  b - Вернуть к выбору файла"
set "menustb1=  b - Вернуть к выбору другой папки"
set "savesize=Скрипт определил, что можно сэкономить размер ISO.&echo.1 - Дешифровать в режиме экономии.&echo.0 - Дешифровать без режима экономии."
set "presscont=Нажмите любую кнопку, чтобы продолжить..."
set "presskey=Нажмите любую кнопку, чтобы выйти."
set "prompt1=введите полный путь к ESD-файлу или папке - где лежит ESD-файлы&echo ^(введите кавычки ^"^" если путь содержит пробелы^)"
set "prompt2=Найдено более одного ESD-файла в текущей папки&echo Введите имя нужного файла для обработки&echo Вы можете использовать кнопку 'Tab', чтобы облегчить выбор"
set "singlee=install.wim файл уже присутствует в текущей папке"
set "upderr=Ошибка. Файл update_keys.cmd не найден."
set "updkey=Обновляем базу RSA ключей"
set "youcreatdu=Вы хотите создать мультиархитектуру ISO для обоих?"
set "txt10=Введите номер Вашего варианта"
set "txt23=Найдено в папке"
set "txt24=Не удалось найти ни одного файла в папке"
set "txt241=  Не удалось найти ни одного подходящего файла для обработки"
set "txt25=   Сделайте Ваш выбор, или нажмите '0' чтобы выбрать другую папку из системы"
set "tENCRYPTED=зашифрован"
set "tDECRYPTED=расшифрован"
set "optimate=Оптимизация"
set "options= Опции^:"
set "options1= 1 - Продолжить конвертировать все редакции"
set "options2= 2 - Конвертировать только одну редакция"
set "options3= 3 - Конвертировать диапозон редакций"
set "options4= 4 - Конвертировать произвольный выбор редакций"
set "mfount=              Найдено в ESD файле"
set "medition=редакций"
set "mselect1=  Введите номер редакции для конвертации или нуль '0' для возврата"
set "mrange=  Введите последовательный диапазон для следующих редакций: Начало-Конец"
set "mrangee=  например^: 2-4 или 1-3 или 3-9"
set "mrandon=  Введите номера редакции для конвертации через пробел"
set "mrandone=  например^: 1 3 4 или 5 1 или 4 2 9"
set "mreturn=  Введите нуль "0" для возврата"
set "emsel1=выше, чем доступные редакции"
set "emrange1=Конец диапазона выше, чем доступные редакции"
set "emrange2=Начало диапазона выше, чем Конец диапазона"
set "emrange3=Начало и Конец диапазона - равны"
set "emrange4=Начало диапазона выше, чем доступные редакции"
set "emrandon=Только один номер редакции был введен"
exit /b
